%define upstream_name Net-FreeDB
%define upstream_version 0.10

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17

Summary:	Perl interface to freedb server(s)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Net-FreeDB-0.10-fix-test.patch

BuildRequires:	perl(CDDB::File)
BuildRequires:	perl(Moo)
BuildRequires:	perl(Test::Most)
BuildRequires:	perl-devel

%description
Net::FreeDB is an oo-based module to interface with FreeDB servers.
It also includes some basic cdrom methods to generate a cddbid and
get the required disc information required for a FreeDB query call.
These cdrom-based methods are provided as both static and method
calls.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.100.0-17.mga9
+ Revision: 1862234
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.100.0-16.mga9
+ Revision: 1795960
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.100.0-15.mga9
+ Revision: 1726917
- Rebuild for perl 5.34

* Sat Sep 05 2020 guillomovitch <guillomovitch> 0.100.0-14.mga8
+ Revision: 1622687
- fix tests

* Wed Jun 17 2020 umeabot <umeabot> 0.100.0-13.mga8
+ Revision: 1594943
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.100.0-12.mga8
+ Revision: 1530000
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.100.0-11.mga8
+ Revision: 1433850
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-10.mga7
+ Revision: 1293541
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.100.0-9.mga7
+ Revision: 1249802
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.100.0-8.mga7
+ Revision: 1165847
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.100.0-7.mga7
+ Revision: 1149863
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.100.0-6.mga7
+ Revision: 1126617
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-5.mga6
+ Revision: 1031072
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 957801
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.100.0-3.mga6
+ Revision: 845048
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.100.0-2.mga6
+ Revision: 842503
- Rebuild for perl 5.22

* Tue Jun 23 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 840075
- update to 0.10

* Sun Oct 19 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 788898
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 742476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 685651
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-3.mga5
+ Revision: 631487
- Rebuild for perl 5.20

* Tue Oct 22 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 542353
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 497433
- imported package perl-Net-FreeDB

